Loading...
Searching...
No Matches
osmium::geom::IdentityProjection Class Reference

`#include <factory.hpp>`

## Public Member Functions

Coordinates | operator() (osmium::Location location) const

## Static Public Member Functions

static int | epsg () noexcept
static std::string | proj_string () noexcept

## Detailed Description

This pseudo projection just returns its WGS84 input unchanged. Used as a template parameter if a real projection is not needed.

## Member Function Documentation

## epsg()

int osmium::geom::IdentityProjection::epsg | ( |  | ) |

inlinestaticnoexcept

## operator()()

Coordinates osmium::geom::IdentityProjection::operator() | ( | osmium::Location | location | ) | const

inline

## proj_string()

std::string osmium::geom::IdentityProjection::proj_string | ( |  | ) |

inlinestaticnoexcept

The documentation for this class was generated from the following file:

- include/osmium/geom/factory.hpp